import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AnalyticsComponent } from './analytics/analytics.component';
import { EcommerceComponent } from './ecommerce/ecommerce.component';
import { SalesComponent } from './sales/sales.component';
import { CryptoComponent } from './crypto/crypto.component';
import { CrmComponent } from './crm/crm.component';
import { HrmComponent } from './hrm/hrm.component';
import { JobsComponent } from './jobs/jobs.component';
import { NftComponent } from './nft/nft.component';
import { PersonalComponent } from './personal/personal.component';
import { ProjectsComponent } from './projects/projects.component';
import { StocksComponent } from './stocks/stocks.component';
import { CourseComponent } from './course/course.component';
import { CompanyRegistrationComponent } from '../company-components/company-registration/company-registration.component';
import { JobDetailManagementComponent } from '../job-detail-components/job-detail-management/job-detail-management.component';
import { JobDescriptionComponent } from '../company-components/job-description/job-description.component';
import { AccountSettingsComponent } from '../company-components/account-settings/account-settings.component';
import { NameRegistrationComponent } from '../competency-assessment/name-registration/name-registration.component';
import { ToolRegisterComponent } from '../competency-assessment/tool-register/tool-register.component';
import { CourseRegistrationComponent } from '../competency-assessment/course-registration/course-registration.component';
import { CompetencyManagementComponent } from '../competency-assessment/competency-management/competency-management.component';
import { EditGroupCompetenciesComponent } from '../competency-assessment/competency-management/group-competencies/edit-group-competencies/edit-group-competencies.component';
import { EvaluationCycleManagerComponent } from '../competency-assessment/evaluation-cycle-manager/evaluation-cycle-manager.component';
import { SettingCompetencyComponent } from '../competency-assessment/setting-competency/setting-competency.component';
import { IdpDevelopmentPlanComponent } from '../competency-assessment/idp-development-plan/idp-development-plan.component';
import { JobCompetencyComponent } from '../job-detail-components/job-competency/job-competency.component';
import { JobQualificationsComponent } from '../job-detail-components/job-qualifications/job-qualifications.component';
import { JobDetailComponent } from '../job-detail-components/job-detail/job-detail.component';
import { CommandStructureComponent } from '../job-detail-components/command-structure/command-structure.component';
import { AssessmentManagementComponent } from '../performance-management-evaluation/assessment-management/assessment-management.component';
import { JobPositionIndicatorsComponent } from '../job-detail-components/job-position-indicators/job-position-indicators.component';
import { EvaluationCyclePerformanceComponent } from '../performance-management-evaluation/evaluation-cycle-performance/evaluation-cycle-performance.component';
import { SupervisorEvaluationComponent } from '../Performance Evaluation/supervisor-evaluation/supervisor-evaluation.component';
import { EmployeeRegistrationComponent } from '../company-components/employee-registration/employee-registration.component';
import { NameRegistrationPerfomanceComponent } from '../performance-management-evaluation/name-registration-perfomance/name-registration-perfomance.component';
import { EvaluationFactorsComponent } from '../performance-management-evaluation/evaluation-factors/evaluation-factors.component';
import { GradeRegistrationComponent } from '../competency-assessment/grade-registration/grade-registration.component';



const routes: Routes = [
  {
    path: "",
    children: [
      { path: "dashboard/analytics", component: AnalyticsComponent },
      { path: "dashboard/crypto", component: CryptoComponent },
      { path: "dashboard/ecommerce", component: EcommerceComponent },
      { path: "dashboard/sales", component: SalesComponent },
      { path: "dashboard/crm", component: CrmComponent },
      { path: "dashboard/jobs", component: JobsComponent },
      { path: "dashboard/hrm", component: HrmComponent },
      { path: "dashboard/personal", component: PersonalComponent },
      { path: "dashboard/nft", component: NftComponent },
      { path: "dashboard/projects", component: ProjectsComponent },
      { path: "dashboard/stocks", component: StocksComponent },
      { path: "dashboard/course", component: CourseComponent },

      // myComponent
      { path: "company-registration",title: 'ทะเบียนบริษัท', component: CompanyRegistrationComponent },
      { path: "job-description",title: 'ข้อมูลลักษณะงาน', component: JobDescriptionComponent },
      { path: "account-settings",title: 'ตั้งค่าผู้ใช้งาน', component: AccountSettingsComponent },
      { path: "name-registration",title: 'ทะเบียนกำหนดชื่อ', component: NameRegistrationComponent },
      { path: "tool-register",title: 'ทะเบียนเครื่องมือ', component: ToolRegisterComponent },
      { path: "competency-management",title: 'การจัดการสมรรถนะ', component: CompetencyManagementComponent },
      { path: "job-detail-management",title: 'การจัดการรายละเอียดงาน', component: JobDetailManagementComponent },
      { path: "course-registration",title: 'ทะเบียนหลักสูตร', component: CourseRegistrationComponent },
      { path: "edit-group-competencies",title: 'แก้ไขกลุ่มสมรรถนะ', component: EditGroupCompetenciesComponent },
      { path: "evaluation-cycle-manager",title: 'การจัดการรอบการประเมิน', component: EvaluationCycleManagerComponent  },
      { path: "setting-competency",title: 'การตั้งค่า', component: SettingCompetencyComponent },
      { path: "idp-development-plan",title: 'เเผนพัฒนา IDP', component: IdpDevelopmentPlanComponent },
      { path: "job-competency",title: 'ความรู้ ทักษะ ความสามารถในตำเเหน่งงาน', component: JobCompetencyComponent },
      { path: "job-qualifications",title: 'คุณสมบัติที่จำเป็นต่อการปฏิบัติหน้าที่', component: JobQualificationsComponent },
      { path: "job-detail",title: 'รายละเอียดของงาน', component: JobDetailComponent },
      { path: "command-structure",title: 'โครงสร้างสายการบังคับบัญชา', component: CommandStructureComponent },
      { path: "assessment-management",title: 'การจัดการการประเมิน', component: AssessmentManagementComponent },
      { path: "job-position-indicators",title: 'ตัวชี้วัดของตำแหน่งงาน', component: JobPositionIndicatorsComponent },
      { path: "evaluation-cycle-performance",title: 'รอบการประเมิน', component: EvaluationCyclePerformanceComponent },
      { path: "supervisor-evaluation",title: 'ประเมินโดยหัวหน้า', component: SupervisorEvaluationComponent },
      { path: "employee-registration",title: 'ทะเบียนพนักงาน', component: EmployeeRegistrationComponent },
      { path: "name-registration-perfomance",title: 'ทะเบียนกำหนดชื่อ', component: NameRegistrationPerfomanceComponent },
      { path: "evaluation-factors",title: 'การประเมินจัดการประสิทธิภาพ', component: EvaluationFactorsComponent },
      { path: "grade-registration",title: 'ทะเบียนเกรด', component: GradeRegistrationComponent },

    ]
  }
];
@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class DashboardRoutingModule { }
